Subject: bug#37060: closed (Re: bug#37060: bug in date / coreutils)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Aug 2019 05:21:03 +0000

Your bug report

#37060: bug in date / coreutils

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37060: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37060
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37060: bug in date / coreutils
From: Paul Eggert <[email-masked]>
To: Jens Baltrusch <[email-masked]>
Cc: [email-masked]
Date: Fri, 16 Aug 2019 22:19:59 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I think that bug was fixed in 2017, and your coreutils version 8.23 predates the 
fix. I suggest upgrading to the current version (8.31) of coreutils, as 8.23 is 
pretty old anyway.

Subject: bug in date / coreutils
From: [email-masked]
To: [email-masked]
Date: Sat, 17 Aug 2019 03:32:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I believe there is a bug in the date utility.

My system is set to Berlin time, now daylight saving time.

When I put in

   date --date='TZ="Europe/Berlin" now'

I get correctly

   Sat 17 Aug 05:11:18 CEST 2019

However, putting in

  date --date='TZ="America/Los_Angeles" now'

yields

   Sat 17 Aug 14:12:03 CEST 2019

which is nonsense. Also, putting in

   date --date='TZ="Asia/Shanghai" now'

giving

   Fri 16 Aug 23:13:36 CEST 2019

which is definitely wrong, as I am currently in China where the sun is  
up and shining.

I get from date --version the following:

date (GNU coreutils) 8.23
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.

My system is

Linux 3.16.0-4-amd64 #1 SMP Debian 3.16.39-1+deb8u1 (2017-02-22)  
x86_64 GNU/Linux

I get the same kind of error using 'today' instead of 'now', or  
'tomorrow', '1 hour ago', etc.

In case you need further information, please do not hesitate to contact me.

Best,
Jens Baltrusch